Std SelBoundingBox/ru: Difference between revisions

From FreeCAD Documentation
(Created page with "==Программирование==")
No edit summary
 
Line 10: Line 10:
}}
}}


<div class="mw-translate-fuzzy">
{{GuiCommand/ru
{{GuiCommand/ru
|Name=Std SelBoundingBox
|Name/ru=Габариты
|Name/ru=Std SelBoundingBox
|Name=Std_SelBoundingBox
|MenuLocation=Вид → Bounding box
|MenuLocation=Вид → Габариты
|Workbenches=All
|Workbenches=Все
|Version=0.19
|SeeAlso=[[Std_DrawStyle/ru|Std DrawStyle]]
|SeeAlso=[[Std_DrawStyle/ru|Стиль представления]]
}}
}}
</div>


<span id="Description"></span>
<span id="Description"></span>

Latest revision as of 16:09, 5 March 2023

Other languages:

Габариты

Системное название
Std_SelBoundingBox
Расположение в меню
Вид → Габариты
Верстаки
Все
Быстрые клавиши
Нет
Представлено в версии
0.19
См. также
Стиль представления

Описание

The Std SelBoundingBox command toggles the global bounding box highlighting mode. If this mode is switched on, selected objects are marked in a 3D view with a highlighted bounding box even if their ВидSelection Style is set to 'Shape'.

Применение

  1. There are several ways to invoke the command:
    • Press the Std SelBoundingBox button.
    • Select the View → Bounding box option from the menu.

Настройки

The related setting is stored: Tools → Edit parameters... → BaseApp → Preferences → View → ShowSelectionBoundingBox. It is a boolean value, the default is false.

Программирование

Смотрите так же: Основы составления скриптов в FreeCAD.

To change the ShowSelectionBoundingBox setting use the SetBool method of the appropriate ParameterGrp. The code sample does not work if FreeCAD is in console mode.

import FreeCAD, FreeCADGui

grp = FreeCAD.ParamGet('User parameter:BaseApp/Preferences/View')
if grp.GetBool('ShowSelectionBoundingBox'):
  grp.SetBool('ShowSelectionBoundingBox',False)
else:
  grp.SetBool('ShowSelectionBoundingBox',True)

FreeCADGui.updateCommands()